Lucene search

K
amazonAmazonALAS2-2023-2082
HistoryJun 05, 2023 - 4:39 p.m.

Medium: pcre

2023-06-0516:39:00
alas.aws.amazon.com
15
pcre
denial of service
crafted regular expression
remote attackers
integer overflow
uninitialized memory read
character classes
conditions

7.5 High

CVSS2

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:P/I:P/A:P

9.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

9.8 High

AI Score

Confidence

High

0.038 Low

EPSS

Percentile

92.0%

Issue Overview:

PCRE before 8.38 mishandles the [: and \ substrings in character classes, which allows remote attackers to cause a denial of service (uninitialized memory read) or possibly have unspecified other impact via a crafted regular expression, as demonstrated by a JavaScript RegExp object encountered by Konqueror. (CVE-2015-8390)

PCRE before 8.38 mishandles the (?(<digits>) and (?(R<digits>) conditions, which allows remote attackers to cause a denial of service (integer overflow) or possibly have unspecified other impact via a crafted regular expression, as demonstrated by a JavaScript RegExp object encountered by Konqueror. (CVE-2015-8394)

Affected Packages:

pcre

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update pcre to update your system.

New Packages:

aarch64:  
    pcre-8.32-17.amzn2.0.3.aarch64  
    pcre-devel-8.32-17.amzn2.0.3.aarch64  
    pcre-static-8.32-17.amzn2.0.3.aarch64  
    pcre-tools-8.32-17.amzn2.0.3.aarch64  
    pcre-debuginfo-8.32-17.amzn2.0.3.aarch64  
  
i686:  
    pcre-8.32-17.amzn2.0.3.i686  
    pcre-devel-8.32-17.amzn2.0.3.i686  
    pcre-static-8.32-17.amzn2.0.3.i686  
    pcre-tools-8.32-17.amzn2.0.3.i686  
    pcre-debuginfo-8.32-17.amzn2.0.3.i686  
  
src:  
    pcre-8.32-17.amzn2.0.3.src  
  
x86_64:  
    pcre-8.32-17.amzn2.0.3.x86_64  
    pcre-devel-8.32-17.amzn2.0.3.x86_64  
    pcre-static-8.32-17.amzn2.0.3.x86_64  
    pcre-tools-8.32-17.amzn2.0.3.x86_64  
    pcre-debuginfo-8.32-17.amzn2.0.3.x86_64  

Additional References

Red Hat: CVE-2015-8390, CVE-2015-8394

Mitre: CVE-2015-8390, CVE-2015-8394

7.5 High

CVSS2

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:P/I:P/A:P

9.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

9.8 High

AI Score

Confidence

High

0.038 Low

EPSS

Percentile

92.0%